curl --request POST \
--url https://sandbox.inflowafrica.com/api/v1/payouts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payoutAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"sourceCurrency": "USD",
"clientReference": "<string>",
"narration": "<string>",
"metadata": {}
}
'import requests
url = "https://sandbox.inflowafrica.com/api/v1/payouts"
payload = {
"payoutAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"sourceCurrency": "USD",
"clientReference": "<string>",
"narration": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
payoutAccountId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
amount: 123,
sourceCurrency: 'USD',
clientReference: '<string>',
narration: '<string>',
metadata: {}
})
};
fetch('https://sandbox.inflowafrica.com/api/v1/payouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Créer un retrait manuel
Les retraits en même devise (NGN) et mobile money s’exécutent automatiquement. Les retraits bancaires en USD/EUR/GBP et tous les retraits transfrontaliers (source USD, destination locale) sont créés
en attente d’approbation administrative. Pour les opérations transfrontalières, amount est le montant à destination.
Transmettez un en-tête Idempotency-Key unique ou un champ clientReference dans le corps. Répéter la même clé renvoie le retrait d’origine sans l’exécuter à nouveau.
Autorisations
Saisissez votre clé API commençant par gtw_sk_
En-têtes
Requis sauf si clientReference est fourni dans le corps de la demande. Unique par organisation.
128Corps
Montant cible pour le multi-devises ; sinon source==destination
Portefeuille à débiter ; omettre pour la même devise
"USD"
Requis sauf si Idempotency-Key est fourni. Doit correspondre à l'en-tête lorsque les deux sont envoyés.
128Remarque de retrait facultative. Envoyée aux prestataires de retrait pris en charge ; utilise la description de référence du retrait lorsqu'elle est omise.
100Réponse
Retrait existant renvoyé pour un rejeu idempotent ; Idempotency-Replayed est vrai